[package]
name = "digital-lsp"
version = "0.0.1"
authors = ["LSTM-Kirigaya <1193466151@qq.com>"]
edition = "2018"

[dependencies]
sv-parser = { version = "0.13.3", path = "sv-parser/sv-parser"}
vhdl_ls = { version = "^0.83.0", path = "vhdl-parser/vhdl_ls" }
vhdl_lang = { version = "^0.83.0", path = "vhdl-parser/vhdl_lang" }
dirs-next = "2.0"
bincode = "1.3"
percent-encoding = "2.1.0"
log = "0.4.19"
tower-lsp = { version = "0.20.0", features = ["proposed"]}
flexi_logger = "0.29.0"
ropey = "1.6.0"
tokio = { version = "1.29.1", features = ["macros", "io-std", "rt-multi-thread"] }
path-clean = "1.0.1"
pathdiff = "0.2.1"
walkdir = "2.3.3"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
serde_yaml = "0.9.25"
regex = "1.9.1"
structopt = "0.3.26"
strum = "0.26.1"
strum_macros = "0.26.1"
xml = "0.8.16"
anyhow = "1.0.95"

[dev-dependencies]
tempdir = "0.3.7"
